#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 dhall
version:              1.41.2
visibility:           public
id:                   dhall-1.41.2-1rxnNiSbNXCHv4Ob4jreRp
key:                  dhall-1.41.2-1rxnNiSbNXCHv4Ob4jreRp
license:              BSD-3-Clause
copyright:            2017 Gabriel Gonzalez
maintainer:           Gabriel439@gmail.com
author:               Gabriel Gonzalez
synopsis:             A configuration language guaranteed to terminate
description:
    Dhall is an explicitly typed configuration language that is not Turing
    complete.  Despite being Turing incomplete, Dhall is a real programming
    language with a type-checker and evaluator.

    Use this library to parse, type-check, evaluate, and pretty-print the Dhall
    configuration language.  This package also includes an executable which
    type-checks a Dhall file and reduces the file to a fully evaluated normal
    form.

    Read "Dhall.Tutorial" to learn how to use this library

category:             Compiler
abi:                  e4b4bf1a60e0d5e03c9f310a7884ac09
exposed:              True
exposed-modules:
    Dhall Dhall.Binary Dhall.Context Dhall.Core Dhall.Crypto
    Dhall.Deriving Dhall.Diff Dhall.DirectoryTree Dhall.Format
    Dhall.Freeze Dhall.Import Dhall.Lint Dhall.Main Dhall.Map
    Dhall.Marshal.Decode Dhall.Marshal.Encode Dhall.Optics Dhall.Parser
    Dhall.Parser.Expression Dhall.Parser.Token Dhall.Pretty Dhall.Repl
    Dhall.Schemas Dhall.Set Dhall.Src Dhall.Substitution Dhall.TH
    Dhall.Tags Dhall.Tutorial Dhall.TypeCheck Dhall.Util Dhall.Version

hidden-modules:
    Dhall.Eval Dhall.Import.Types Dhall.Import.Headers
    Dhall.Marshal.Internal Dhall.Normalize Dhall.Parser.Combinators
    Dhall.Pretty.Internal Dhall.Syntax Dhall.URL Paths_dhall
    Dhall.Import.HTTP Dhall.Import.Manager

import-dirs:          /usr/lib/ghc-9.0.2/site-local/dhall-1.41.2
library-dirs:         /usr/lib/ghc-9.0.2/site-local/dhall-1.41.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/dhall
hs-libraries:         HSdhall-1.41.2-1rxnNiSbNXCHv4Ob4jreRp
depends:
    Diff-0.4.1-CCnjhoRq0kcIkAaZvV7LJU
    aeson-2.1.2.0-1WvavuKlgH75OU29sDWtrY
    aeson-pretty-0.8.9-8Vc4ijho0sXBYwdWuiR1bg
    ansi-terminal-0.11.4-FN2r9KuIPYUCD6JsC0iQtn
    atomic-write-0.2.0.7-A8mfWTYtoMEJOQtxlojmIO base-4.15.1.0
    base16-bytestring-1.0.2.0-AsSLHXolLNk7hJ69mtxQro
    bytestring-0.10.12.1
    case-insensitive-1.2.1.0-IJkQDvrpLm03T8kO0Uv9Ux
    cborg-0.2.8.0-BhEwk8JvQOo2cOWHZBtUpq
    cborg-json-0.2.5.0-IfIPO2SSy5M7qG0kgr8YGS containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    cryptohash-sha256-0.11.102.1-63StCdpEcmh2Dpu1lLdBO8
    data-fix-0.3.2-1b0lyGi9lzgKreGjQJZ6sG deepseq-1.4.5.0
    directory-1.3.6.2 dotgen-0.4.3-JbRUtf7kscIJibZz2RQNw
    either-5.0.2-AUbwG0AHVLh4RKlQ7zJfnU exceptions-0.10.4
    filepath-1.4.2.1 half-0.3.1-2UyXZhKXMi26BTBmxQptyh
    hashable-1.4.2.0-DVbjlBr1LVBocftOjT6RF haskeline-0.8.2
    http-client-0.7.13.1-EXpt3aQiftbADx1JlG6rw8
    http-client-tls-0.3.6.1-JE9kEKVPHKGA1bMP4bcWDm
    http-types-0.12.3-3fLmMddJmg9DBQH2FHw4qo
    indexed-traversable-0.1.2.1-JwIQVWOpW67GVSWDdLo884
    lens-family-core-2.1.2-JgL24qTIUymKZLaMFOVhTK
    megaparsec-9.3.0-wNnyPWEpx79AooHESUf3J
    mmorph-1.2.0-2iQgHTViuScASaZTADZaI1 mtl-2.2.2
    network-uri-2.6.4.2-299NrGYmwwdINkhJfP5qVI
    optparse-applicative-0.17.0.0-J3VTB7EBV10GH4ckF65Qn4
    parser-combinators-1.3.0-FL5bcA6sX4a2ejs4tDtkjB
    parsers-0.12.11-1xNqS1whjkiFb9BIfBnoT7
    pretty-simple-4.1.2.0-HzSgU45PlGILP0GxExJRHE
    prettyprinter-1.7.1-COaTRdigE4d4rc1uJNLCfE
    prettyprinter-ansi-terminal-1.1.3-4yj5qZgamok3w5ZsAFXr5s
    profunctors-5.6.2-FY4R0lHy4mU31h6SXuUKtC
    repline-0.4.2.0-AbdnKl4MT5R8rpoSYZ99OS
    scientific-0.3.7.0-GYkwIJLCEtNEneW0JOVISe
    serialise-0.2.6.0-BtpW4off8LEJE4Ctu4jdyV template-haskell-2.17.0.0
    text-1.2.5.0 text-manipulate-0.3.1.0-K3B6y7Ekj6OIcdFOXqyHF2
    text-short-0.1.5-9QGucu0pYuV4TSYAAhfc1W
    th-lift-instances-0.1.20-JxbvWey4d0XC6gA5nX6mAP time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-1kxBI3XpAtt5E439x4IDIb
    uri-encode-1.5.0.7-B8rdPuoGiffEYfEuHEroeQ
    vector-0.13.0.0-F6270ffNo8WA9N1TacO3OE

haddock-interfaces:   /usr/share/doc/dhall/html/dhall.haddock
haddock-html:         /usr/share/doc/dhall/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

